package com.xhkjedu.sexam.controller.exam;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.sexam.model.exam.ESubjectInvigilate;
import com.xhkjedu.sexam.service.exam.ESubjectInvigilateService;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/e_invigilate")
public class ESubjectInvigilateController {
    @Resource
    private ESubjectInvigilateService eSubjectInvigilateService;

    @PostMapping("/add")
    public ResultVo add(@RequestBody ESubjectInvigilate eSubjectInvigilate) {
        eSubjectInvigilateService.save(eSubjectInvigilate);
        return new ResultVo(0,"保存成功");
    }

    @PostMapping("/delete")
    public ResultVo delete(@RequestBody ESubjectInvigilate eSubjectInvigilate) {
        eSubjectInvigilateService.deleteById(eSubjectInvigilate.getId());
        return new ResultVo(0,"删除成功");
    }

    @PostMapping("/update")
    public ResultVo update(@RequestBody ESubjectInvigilate eSubjectInvigilate) {
        eSubjectInvigilateService.update(eSubjectInvigilate);
        return new ResultVo(0,"修改成功");
    }

    @PostMapping("/list")
    public ResultVo list(@RequestBody ESubjectInvigilate eSubjectInvigilate) {
        PageHelper.startPage(eSubjectInvigilate.getPage(), eSubjectInvigilate.getPageSize());
        List<ESubjectInvigilate> list = eSubjectInvigilateService.listAll();
        PageResult pageResult = PageUtil.getPageResult(new PageInfo(list));
        return new ResultVo(0,"获取列表成功",pageResult);
    }
}
