package com.xhkjedu.sexam.controller.paper;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.xhkjedu.sexam.model.paper.ESubjectScantron;
import com.xhkjedu.sexam.service.paper.ESubjectScantronService;
import com.xhkjedu.utils.PageUtil;
import com.xhkjedu.vo.PageResult;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/e_scantron")
public class ESubjectScantronController {
    @Resource
    private ESubjectScantronService eSubjectScantronService;

    @PostMapping("/add")
    public ResultVo add(@RequestBody ESubjectScantron eSubjectScantron) {
        eSubjectScantronService.save(eSubjectScantron);
        return new ResultVo(0,"保存成功");
    }

    @PostMapping("/delete")
    public ResultVo delete(@RequestBody ESubjectScantron eSubjectScantron) {
        eSubjectScantronService.deleteById(eSubjectScantron.getId());
        return new ResultVo(0,"删除成功");
    }

    @PostMapping("/update")
    public ResultVo update(@RequestBody ESubjectScantron eSubjectScantron) {
        eSubjectScantronService.update(eSubjectScantron);
        return new ResultVo(0,"修改成功");
    }

    @PostMapping("/detail")
    public ResultVo detail(@RequestBody ESubjectScantron eSubjectScantron) {
        ESubjectScantron es = eSubjectScantronService.findById(eSubjectScantron.getId());
        return new ResultVo(0,"获取详情成功",es);
    }

    @PostMapping("/list")
    public ResultVo list(@RequestBody ESubjectScantron eSubjectScantron) {
        PageHelper.startPage(eSubjectScantron.getPage(), eSubjectScantron.getPageSize());
        List<ESubjectScantron> list = eSubjectScantronService.listAll();
        PageResult pageResult = PageUtil.getPageResult(new PageInfo(list));
        return new ResultVo(0,"获取列表成功",pageResult);
    }
}
