package com.xhkjedu.sexam.mapper.exam;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.exam.ESubject;
import com.xhkjedu.sexam.vo.exam.ESubjectVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ESubjectMapper extends TkMapper<ESubject> {
    //考试设置
    void setExam(@Param("subjects") List<ESubject> subjects);

    //考试下所有科目
    List<ESubjectVo> listExamSubjects(@Param("examid") Integer examid);

    //更新考试科目状态
    void updateExamSubjectState(@Param("esubject") ESubject esubject);

    //根据试卷id更新考试科目状态
    void updateEsubjectStateByEpid(@Param("esstate") Integer esstate,@Param("epid") Integer epid);
}