package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "e_paper_fjtype")
@Data
public class EPaperFjtype extends BaseBean {
    @Id
    //附件试卷题型表
    private Integer epfjid;

    //试卷id
    private Integer epid;

    //题型名称
    private String epfjname;

    //题型下试题数量
    private Integer epfjnum;

    //题型排序
    private Integer epfjorder;

    //题型下试题分值
    private Double epfjscore;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //试题集合
    private List<EPaperFjtypeQuestion> questions = new ArrayList<>();
}