package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_paper_fjtype_question")
@Data
public class EPaperFjtypeQuestion extends BaseBean {
    @Id
    //附件试卷题型试题表
    private Integer epfjqid;

    //附件题型表id
    private Integer epfjid;

    //试卷表id
    private Integer epid;

    //题型id
    private String qtypeid;

    //题型名称
    private String qtypename;

    //处理题型1单选题2多选题3主观题4判断对错5判断√×6判断TF7完形填空8阅读理解10任务型阅读
    private Integer ctype;

    //分值
    private Double score;

    //题号
    private String qn;

    //排序
    private Integer order;

    //选项数量
    private Integer optionnum;

    //正确答案
    private String answer;
}