package com.xhkjedu.sexam.service.paper;

import com.xhkjedu.sexam.mapper.paper.ESubjectScantronMapper;
import com.xhkjedu.sexam.model.paper.ESubjectScantron;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ESubjectScantronService {
    @Resource
    private ESubjectScantronMapper eSubjectScantronMapper;

    //添加
    public void save(ESubjectScantron model) {
        model.setCreatetime(N_Utils.getSecondTimestamp());
        eSubjectScantronMapper.insertSelective(model);
    }

    //删除
    public Integer deleteById(Integer id) {
        return eSubjectScantronMapper.deleteByPrimaryKey(id);
    }

    //修改
    public Integer update(ESubjectScantron model) {
        return eSubjectScantronMapper.updateByPrimaryKeySelective(model);
    }

    //获取详情
    public ESubjectScantron findById(Integer id) {
        return eSubjectScantronMapper.selectByPrimaryKey(id);
    }

    //获取列表
    public List <ESubjectScantron> listAll() {
        return eSubjectScantronMapper.selectAll();
    }
}
