package com.xhkjedu.sexam.mapper.exam;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.exam.EBase;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EBaseMapper extends TkMapper<EBase> {
    //考试删除
    Integer deleteById(@Param("examid") Integer examid);

    //删除关联的班级和科目
    void deleteClassAndSubjectById(@Param("examid") Integer examid);

    //考试列表
    List<Map> listAll(@Param("base") EBase base);

    //修改考试状态
    void updateExamState(@Param("examid") Integer examid, @Param("examstate") int examstate);
}