package com.xhkjedu.sexam.mapper.paper;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.paper.EPaper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Description 试卷信息
 * @Author WN
 * Date 2022/7/18 10:48
 **/
@Repository
public interface EPaperMapper extends TkMapper<EPaper> {

    //获取考试下有科目试卷信息
    List<Map> listExamPapers(@Param("examid") Integer examid);

    //教师出卷列表
    List<Map> listExamPapersByTeacherid(@Param("teacherid") Integer teacherid);

    //试卷详情
    Map getExamPaperDetailByEpid(@Param("epid") Integer epid);
}