package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_subject_scantron")
@Data
public class ESubjectScantron extends BaseBean {
    @Id
    //试卷科目答题卡表
    private Integer essid;

    //考试id
    private Integer examid;

    //考试试卷id
    private Integer epid;

    //答题卡题型表id
    private Integer esstid;

    //试卷类型1题库2答题卡3仅答题卡
    private Integer ptype;

    //试题id
    private String questionid;

    //题型id
    private String qtypeid;

    //题型名称
    private String qtypename;

    //题号
    private String order;

    //分值
    private Double score;

    //选项数量
    private Integer optionnum;

    //正确答案
    private String answer;

    //试题坐标
    private String coord;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;
}