package com.xhkjedu.sexam.service.exam;

import com.xhkjedu.sexam.mapper.exam.ESubjectInvigilateMapper;
import com.xhkjedu.sexam.model.exam.ESubjectInvigilate;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ESubjectInvigilateService {
    @Resource
    private ESubjectInvigilateMapper eSubjectInvigilateMapper;

    //添加
    public void save(ESubjectInvigilate model) {
        model.setCreatetime(N_Utils.getSecondTimestamp());
        eSubjectInvigilateMapper.insertSelective(model);
    }

    //删除
    public Integer deleteById(Integer id) {
        return eSubjectInvigilateMapper.deleteByPrimaryKey(id);
    }

    //修改
    public Integer update(ESubjectInvigilate model) {
        return eSubjectInvigilateMapper.updateByPrimaryKeySelective(model);
    }

    //获取详情
    public ESubjectInvigilate findById(Integer id) {
        return eSubjectInvigilateMapper.selectByPrimaryKey(id);
    }

    //获取列表
    public List <ESubjectInvigilate> listAll() {
        return eSubjectInvigilateMapper.selectAll();
    }
}
